nomad (0.12.10+dfsg1-1+rpi1) bullseye-staging; urgency=medium

  * Disable testsuite.

 -- Peter Michael Green <plugwash@raspbian.org>  Wed, 17 Feb 2021 01:39:52 +0000

nomad (0.12.10+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    + CVE-2021-3283: exec-based drivers to run tasks in private PID/IPC
      namespaces (Closes: #981889).

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 05 Feb 2021 16:14:14 +1100

nomad (0.12.9+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Add patch to fix build with runc rc93

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 04 Feb 2021 11:14:07 +0800

nomad (0.12.9+dfsg1-2) unstable; urgency=medium

  * dev:Depends (Closes: #980168):
    + golang-github-grpc-ecosystem-go-grpc-middleware-dev
    + golang-github-docker-docker-dev (>= 20.10.0~)

    Thanks, Shengjing Zhu.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 25 Jan 2021 14:03:27 +1100

nomad (0.12.9+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * (Build-)Depends:
    + golang-github-pierrec-lz4-dev
    + golang-gopkg-square-go-jose.v2-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 11 Jan 2021 20:53:58 +1100

nomad (0.10.9+dfsg1-2) unstable; urgency=medium

  * hashicorp-go-plugin-dev MUST be a dep of nomad
  * Tightened Consul dependency version (>= 1.8.6~) (again)
  * Adjust sections, nomad -> admin, nomad-dev -> golang
  * Skip a test that requires Vault

 -- Arnaud Rebillout <elboulangero@gmail.com>  Wed, 16 Dec 2020 11:15:44 +0700

nomad (0.10.9+dfsg1-1) unstable; urgency=medium

  [ Arnaud Rebillout ]
  * New upstream release (Closes: #973166, #972795, #976593).
  * Vendor mitchellh-go-testing-interface-dev
  * Vendor hashicorp-go-plugin-dev
  * New patch to build against consul 1.8

  * lintian: Drop source-contains-empty-directory (see #907727)

  [ Dmitry Smirnov ]
  * Tightened Consul dependency version (>= 1.8.6~).

 -- Arnaud Rebillout <elboulangero@gmail.com>  Mon, 07 Dec 2020 12:02:25 +0700

nomad (0.10.5+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 23 Aug 2020 02:04:56 +0800

nomad (0.10.5+dfsg1-2) experimental; urgency=medium

  * Team upload.
  * Add patch for runc 1.0.0~rc92

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 19 Aug 2020 03:40:51 +0800

nomad (0.10.5+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Disabled "TestLeader_LeftServer" due to spurious failure on armel.
  * service: start after local-fs.target.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 26 Mar 2020 21:03:15 +1100

nomad (0.10.4+dfsg1-3) unstable; urgency=medium

  * Disabled "TestNomad_BadExpect".
  * Disabled "TestServer_ReconcileMember".

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 26 Feb 2020 17:28:17 +1100

nomad (0.10.4+dfsg1-2) unstable; urgency=medium

  * Disabled spontaneously failing tests.
  * Longer test timeout.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 26 Feb 2020 16:29:21 +1100

nomad (0.10.4+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * New upstream patches to build with Consul 1.7+.
  * Fixed build tags and exclusions:
    + tests to use the same tags
    + new tests exclusions
    + tags += "nonvidia"
  * dev: included "command" component as required by "nomad-driver-podman".
  * Standards-Version: 4.5.0.
  * (Build-)Depends:
    = golang-github-hashicorp-consul-dev (>= 1.7.0~)

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 21 Feb 2020 10:41:42 +1100

nomad (0.10.3+dfsg1-1) unstable; urgency=medium

  * New upstream release
    + fixed CVE-2020-7218 in agent.
    + fixed CVE-2020-7956 in server.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 01 Feb 2020 03:27:56 +1100

nomad (0.10.2+dfsg2-13) unstable; urgency=medium

  * Disabled "TestRegionList".

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 03 Jan 2020 10:01:04 +1100

nomad (0.10.2+dfsg2-12) unstable; urgency=medium

  * Un-vendored "golang-github-hashicorp-go-plugin-dev".

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 03 Jan 2020 07:25:14 +1100

nomad (0.10.2+dfsg1-11) unstable; urgency=medium

  * New patch to fix FTBFS golang-github-shirou-gopsutil-dev (>= 2.19.05~)

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 30 Dec 2019 18:44:26 +1100

nomad (0.10.2+dfsg1-10) unstable; urgency=medium

  * (Build-)Depends:
    = golang-github-gorhill-cronexpr-dev (>= 1.0.0+git20180427~)

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 27 Dec 2019 14:56:13 +1100

nomad (0.10.2+dfsg1-9) unstable; urgency=medium

  * Ignore test failures on [mipsel, mips64el] due to sporadic panics,
    timeouts and other errors.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 26 Dec 2019 12:30:00 +1100

nomad (0.10.2+dfsg1-8) unstable; urgency=medium

  * Disabled "TestClientEndpoint_ListNodes_Blocking" following spurious
    failure on "mips64el".

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 26 Dec 2019 10:11:12 +1100

nomad (0.10.2+dfsg1-7) unstable; urgency=medium

  * Build with "--max-parallel=2" on "mipsel".
  * Use non-transitional "prometheus-client" package.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 25 Dec 2019 18:52:43 +1100

nomad (0.10.2+dfsg1-6) unstable; urgency=medium

  * Enabled built-in UI.
  * postinst: sleep correction.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 24 Dec 2019 07:45:01 +1100

nomad (0.10.2+dfsg1-5) unstable; urgency=medium

  * Defined "plugin_dir" path in the default conf file.
  * service:
    + un-protected KernelTunables (required to setup networking).
    + (After|Wants) += "remote-fs.target".
    + clear "client/state.db" before start
      (workaround against spurious restart errors).
    + added "After=io.podman.service" to fix timeout on shutdown.
    + throttled (re-)start rate.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 20 Dec 2019 22:36:49 +1100

nomad (0.10.2+dfsg1-4) unstable; urgency=medium

  * Disabled "TestRPC_forwardLeader" after spurious failure on "mipsel".
  * Removed "golang-gopkg-vmihailenco-msgpack.v2-dev" from Build-Depends.
  * dev: sub-vendored "hashicorp/vault/helper".

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 19 Dec 2019 17:28:19 +1100

nomad (0.10.2+dfsg1-3) unstable; urgency=medium

  * Disabled "TestMonitor_Monitor_RemoteServer".
  * dev: expose "version" component as required by "nomad-driver-lxc".
  * DH to version 12.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 10 Dec 2019 09:44:58 +1100

nomad (0.10.2+dfsg1-2) unstable; urgency=medium

  * Disabled "TestServerWithNodeConn_Path_Newest".
  * Build-Depends += "tzdata" (Closes: #946455)
    Thanks, Santiago Vila.
  * dev: exposed "testutil" as required by "nomad-driver-lxc".

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 09 Dec 2019 23:12:41 +1100

nomad (0.10.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * servcie: corrected post-start setting of eligibility.
  * service: enabled hardening features.
  * dev: sub-vendored "hcl2" library.
  * dev/Depends:
    + golang-github-agext-levenshtein-dev
    + golang-github-mitchellh-go-wordwrap-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 09 Dec 2019 12:05:08 +1100

nomad (0.10.1+dfsg2-4) unstable; urgency=medium

  * copyright: removed obsolete "Unicode-ToU" paragraph.
  * Disabled unreliable "TestDrainer_Batch_TransitionToForce".

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 30 Nov 2019 14:54:59 +1100

nomad (0.10.1+dfsg2-3) unstable; urgency=medium

  * Build against Consul 1.5.2 with a new patch to fix FTBFS.
  * Disabled few more unreliable tests.
  * Un-vendored
    + golang-github-apparentlymart-go-textseg-dev
    + golang-github-hashicorp-go-discover-dev
    + golang-github-rs-cors-dev
    + golang-github-zclconf-go-cty-dev
  * Added lintian-overrides for "field-too-long Built-Using|Build-Depends".
  * No longer depend on "golang-github-docker-distribution-dev".

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 30 Nov 2019 08:17:53 +1100

nomad (0.10.1+dfsg1-2) unstable; urgency=medium

  * dev: Depends += "golang-github-mitchellh-hashstructure-dev".
  * sub-vendored "github.com/oklog/run"
    as required by "hashicorp/go-plugin".
  * Set default cni_path, as provided by "containernetworking-plugins".
  * Recommends:
    + containernetworking-plugins
    + ethtool

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 07 Nov 2019 19:13:29 +1100

nomad (0.10.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 05 Nov 2019 13:21:05 +1100

nomad (0.10.0+dfsg1-5) unstable; urgency=medium

  * Fixed "go-plugins" installation path.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 04 Nov 2019 22:21:31 +1100

nomad (0.10.0+dfsg1-4) unstable; urgency=medium

  * Sub-vendored "go-plugin" to build "nomad-sriver-singularity".
  * Disabled more spontaneously failing tests.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 04 Nov 2019 21:31:48 +1100

nomad (0.10.0+dfsg1-3) unstable; urgency=medium

  * Suggests += "nomad-driver-podman".
  * dev: sub-vendor two forks of "ugorji/go" due to incredible upstream
    sloppiness. :(

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 31 Oct 2019 15:50:59 +1100

nomad (0.10.0+dfsg1-2) unstable; urgency=medium

  * Introduced -dev package.
  * Disabled few randomly failing tests.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 24 Oct 2019 14:10:10 +1100

nomad (0.10.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends:
    = golang-github-ugorji-go-codec(-dev) (>= 1.1.7~)
    + golang-github-containerd-go-cni-dev
    + golang-github-containernetworking-plugins-dev
    + golang-github-coreos-go-iptables-dev
    + golang-github-googleapis-gax-go-dev
    + golang-golang-x-oauth2-dev
    + golang-google-cloud-dev
    + golang-go.opencensus-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 24 Oct 2019 04:14:42 +1100

nomad (0.9.6+dfsg1-7) unstable; urgency=medium

  * Exclude more unstable tests.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 23 Oct 2019 15:06:02 +1100

nomad (0.9.6+dfsg1-6) unstable; urgency=medium

  * Improved hclog.patch (hopefully).
  * Patched away "github.com/hashicorp/go-msgpack/codec" in favor of
    "github.com/ugorji/go".
  * Relaxed golang-any requirement to 1.11.
  * testworks:
    + reduced tests parallelism to 3.
    + excluded flaky "command" tests entirely.
  * Build-Depends:
    - golang-github-hashicorp-go-msgpack-dev
    + golang-github-ugorji-go-codec-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 23 Oct 2019 01:36:37 +1100

nomad (0.9.6+dfsg1-5) unstable; urgency=medium

  * Stabilising tests.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 22 Oct 2019 21:14:48 +1100

nomad (0.9.6+dfsg1-4) unstable; urgency=medium

  * Disabled more randomly failing tests.
  * rules: repatch "go-msgpack" as "ugorji-go".
  * Build-Depends:
    - golang-github-hashicorp-go-msgpack-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 22 Oct 2019 18:07:45 +1100

nomad (0.9.6+dfsg1-3) unstable; urgency=medium

  * testworks: disabled "TestAllocRestartCommand_Run".

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 22 Oct 2019 12:29:08 +1100

nomad (0.9.6+dfsg1-2) unstable; urgency=medium

  * Disabled unreliable tests.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 22 Oct 2019 11:20:44 +1100

nomad (0.9.6+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Fixed FTBFS (Closes: #935552).
  * Standards-Version: 4.4.1.
  * Enabled some tests.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 22 Oct 2019 10:10:39 +1100

nomad (0.8.7+dfsg1-1) unstable; urgency=medium

  * Standards-Version: 4.3.0
  * New upstream release [January 2019].

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 20 Jan 2019 17:17:08 +1100

nomad (0.8.6+dfsg1-1) unstable; urgency=medium

  * New upstream release [September 2018].
  * Standards-Version: 4.2.1

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 27 Sep 2018 09:50:45 +1000

nomad (0.8.5+dfsg1-1) unstable; urgency=medium

  * New upstream release [September 2018].

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 15 Sep 2018 23:39:25 +1000

nomad (0.8.4+dfsg1-3) unstable; urgency=medium

  * New upstream patch for rkt --net=none.
  * Suggests += "consul, rkt".
  * service:
    + Wants += consul
    + Wants += cni-dhcp
    + workaround for upstream bug (remove "state.db")
    + drain node on stop
  * Install basic conffile to set "-data_dir".

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 21 Aug 2018 15:41:30 +1000

nomad (0.8.4+dfsg1-2) unstable; urgency=medium

  * Updated "runc.patch" to fix segfault.
  * Patched away "golang-github-kardianos-osext-dev".
  * golang-speter-go-exp-math-dec-inf-dev --> golang-gopkg-inf.v0-dev
  * Un-bundled "golang-github-mitchellh-go-testing-interface-dev".
  * Install bash-completions. Thanks, Chelsea Komlo.
  * New patches to implement "rkt_options" and "hostname" features.
  * Install few more config examples.
  * service: "KillMode=control-group".
  * rules: disabled tests (too slow, too many fail in build chroot).

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 15 Aug 2018 05:38:32 +1000

nomad (0.8.4+dfsg-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Dmitry Smirnov ]
  * New upstream release (Closes: #889986).
    + fixed FTBFS with "golang-go.crypto" (Closes: #861547).
  * Added Suggests with packages needed for "java" and "qemu" drivers.
  * Standards-Version: 4.1.4; Priority: optional
  * debhelper & compat to version 11
  * golang-go --> golang-any

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 28 Jun 2018 15:53:26 +1000

nomad (0.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release [June 2016] (Closes: #831036).
    + temporary switched to bundled "github.com/hashicorp/consul".
  * Build-Depends:
    = golang-github-fsouza-go-dockerclient-dev (>= 0.0+git20160622~)
    = golang-github-hashicorp-scada-client-dev (>= 0.0~git20160601~)
    + golang-github-mitchellh-colorstring-dev
    + golang-github-mitchellh-go-ps-dev
    + golang-github-nytimes-gziphandler-dev
    + golang-golang-x-tools-dev
  * rules: --parallel build.
  * init: added support for 'reload' command.
    + Depends += "procps".
  * New patches to disable some failing tests.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 17 Jul 2016 09:28:09 +1000

nomad (0.3.2+dfsg-1) unstable; urgency=medium

  * New upstream release [April 2016].
  * tests: set PATH to `nomad` binary.
  * service += "LimitNOFILE=65536".
  * Standards-Version: 3.9.8.
  * Vcs-Git URL to HTTPS.
  * Build-Depends:
    - golang-github-opencontainers-runc-dev
    - golang-github-prometheus-client-model-dev
    + golang-github-davecgh-go-spew-dev
    = golang-github-hashicorp-consul-dev (>= 0.6.4~dfsg-2~)

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 16 Jun 2016 19:59:02 +1000

nomad (0.3.1+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #818296).

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 22 Mar 2016 04:09:16 +1100
